petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscSectionHasConstraints

Determine whether a section has constrained dofs

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionHasConstraints(PetscSection s, PetscBool *hasConstraints)

Not collective

### Input Parameter

s -The PetscSection

### Output Parameter

hasConstraints -flag indicating that the section has constrained dofs

### See Also

PetscSectionSetConstraintIndices(), PetscSectionGetConstraintDof(), PetscSection

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages